			if (model==1) {      # Sharp RD: homogeneous treatment effect, homogeneous model
			  crd.p = c(modelrd1[1],0,modelrd1[2],0,modelrd1[3],0)
			  crd.m = c(modelrd1[4],0,modelrd1[5],0,modelrd1[6],0)
			  cfs.p = NA
			  cfs.m = NA
			  type="Sharp"
			} else
			if (model==2) {        # Sharp RD: monotonically increasing treatment effect
			  crd.p = c(modelrd2[1:3],0,modelrd2[4],0)
			  crd.m = c(modelrd2[5:7],0,modelrd2[8],0)
			  cfs.p = NA
			  cfs.m = NA
			  type="Sharp"
			} else
			if (model==3) {        # Sharp RD: U-shape treatment effect
			  crd.p = c(modelrd2[1],-4,modelrd2[3],0,modelrd2[4],5)
			  crd.m = c(modelrd2[5:7],0,modelrd2[8],0)
			  cfs.p = NA
			  cfs.m = NA
			  type="Sharp"
			} else
			if (model==4) {        # Sharp RD: homogeneous treatment effect, heterogeneous model
		      crd.p = c(modelrd2[1:3],-2,-3,-4)
			  crd.m = c(modelrd2[1:3],-2,-3,-4)  
			  cfs.p = NA
			  cfs.m = NA
			  type="Sharp"
			}